Summary: An Internet name server.
Name: bind
Version: 8.2.1
Release: 1
Group: Networking/Daemons
Copyright: BSD
Url: http://www.isc.org/bind.html
Packager: Hao Li <hli@wag.caltech.edu>
Source0: ftp://ftp.isc.org/isc/bind/src/%{version}/bind-%{version}-src.tar.gz
Source1: ftp://ftp.isc.org/isc/bind/src/%{version}/bind-%{version}-doc.tar.gz
Source2: ftp://ftp.isc.org/isc/bind/src/%{version}/bind-%{version}-contrib.tar.gz
Source3: named.init

Source4: ftp://FTP.RS.INTERNIC.NET/domain/named.root
Source5: named.local
Source6: named.conf

Buildroot: /var/tmp/%{name}-root

%description
Bind includes the named name server, which resolves host names to IP
addresses (and vice versa), and a resolver library (a set of routines
in a system library that provide the interface for programs to use when
accessing domain name services).  A name server is a network service which
enables clients to name resources or objects and share this information
with other network machines.  The named name server can be used on
workstations as a caching name server, but is generally only needed on
one machine for an entire network.

This package includes configurations for a simple caching-only name server.


%package utils
Summary: DNS utilities:  host, dig, dnsquery, and nslookup.
Group: Applications/System

%description utils
Bind-utils contains a collection of utilities for querying DNS (Domain
Name Service) name servers to find out information about Internet hosts.
These tools will provide you with the IP addresses for given host names,
as well as other information about registered domains and network 
addresses.

You should install bind-utils if you need to get information from DNS name
servers.


%package devel
Summary: Include files and libraries needed for bind DNS development.
Group: Development/Libraries

%description devel
The bind-devel package contains all the include files and the 
library required for DNS (Domain Name Service) development
for bind versions 8.x.x.

You should install bind-devel if you want to develop bind DNS
applications. If you install bind-devel, you'll need to install
bind, as well.


%prep
%setup -q -c -a 1


%build
make -C src clean all CDEBUG="$RPM_OPT_FLAGS"
make -C src clean all SUBDIRS=../doc/man


%install
rm -rf $RPM_BUILD_ROOT
make -C src install DESTDIR=$RPM_BUILD_ROOT
strip $RPM_BUILD_ROOT/usr/{bin,sbin}/* || :

# Move /usr/local/bind to /usr/lib/bind
mv $RPM_BUILD_ROOT/usr/local/bind $RPM_BUILD_ROOT/usr/lib

# Manually install man pages
mkdir -p $RPM_BUILD_ROOT/usr/man
make -C src install DESTDIR=$RPM_BUILD_ROOT SUBDIRS=../doc/man
# These are duplicated in man-pages-1.21-1
rm -f $RPM_BUILD_ROOT/usr/man/{man3/gethostbyname.3,man7/mailaddr.7}

# SysV init script
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/named

# Configurations for caching only name server
mkdir -p $RPM_BUILD_ROOT/var/named
install -m644 %{SOURCE4} $RPM_BUILD_ROOT/var/named/named.ca
install -m644 %{SOURCE5} $RPM_BUILD_ROOT/var/named/named.local
install -m644 %{SOURCE6} $RPM_BUILD_ROOT/etc/named.conf


%post
/sbin/chkconfig --add named

%postun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del named
fi


%files
%defattr(-,root,root)
# Much more doc are in doc tarball. Only man pages are included here.
%doc src/CHANGES src/FLAWS src/INSTALL src/LICENSE src/LICENSE_RSA
%doc src/README src/SUPPORT src/TODO
%config /etc/rc.d/init.d/named
/usr/sbin/*
/usr/man/man5/named.conf.5
/usr/man/man7/*
/usr/man/man8/named.8
/usr/man/man8/named-bootconf.8
/usr/man/man8/named-xfer.8
/usr/man/man8/ndc.8
%dir    /var/named
%config /var/named/named.ca
%config /var/named/named.local
%config /etc/named.conf

%files utils
%defattr(-,root,root)
/usr/bin/*
/usr/man/man1/*
/usr/lib/nslookup.help
/usr/man/man5/irs.conf.5
/usr/man/man5/resolver.5
/usr/man/man8/nslookup.8
/usr/man/man8/nsupdate.8

%files devel
%defattr(-,root,root)
/usr/man/man3/*
/usr/lib/bind


%clean
rm -rf $RPM_BUILD_ROOT

